> For the complete documentation index, see [llms.txt](https://docs.ticko.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ticko.xyz/api-documentation/error-codes.md).

# Error Codes

## Chain

| Code    | Description                                                 |
| ------- | ----------------------------------------------------------- |
| `10001` | Signature verification failed                               |
| `10002` | Nonce used or outside valid window                          |
| `10003` | API key / Agent key unauthorized or insufficient permission |
| `10004` | Request expired                                             |
| `10005` | Endpoint unsupported                                        |
| `10006` | Invalid parameter format                                    |
| `10007` | API key / Agent key limit exceeded                          |
| `10008` | API key / Agent key expired                                 |
| `10009` | Agent address already authorized                            |
| `10010` | Invalid `authorized_address`                                |
| `10011` | Agent address already has a TradeVM account                 |
| `10012` | Agent does not exist or is not authorized                   |
| `10013` | `valid_days` outside `[1, 180]`                             |
| `10014` | Invalid label format                                        |
| `10029` | Rate limit exceeded                                         |

## Account

| Code    | Description                                                                |
| ------- | -------------------------------------------------------------------------- |
| `20001` | Account does not exist                                                     |
| `20002` | Account frozen                                                             |
| `20003` | Insufficient balance                                                       |
| `20004` | Position mode switch failed because account has active orders or positions |
| `20005` | Withdrawal amount below minimum                                            |
| `20006` | Withdrawal exceeds maximum withdrawable amount                             |
| `20007` | Auto-borrow disabled but operation would create debt                       |
| `20014` | Signer cannot create sub-account                                           |
| `20015` | Sub-account label already exists                                           |
| `20017` | Sub-account limit exceeded                                                 |

## Position

| Code    | Description                                     |
| ------- | ----------------------------------------------- |
| `40001` | Position does not exist                         |
| `40002` | Leverage exceeds allowed bracket                |
| `40003` | Isolated position only allows leverage increase |
| `40004` | Isolated margin insufficient after reduction    |
| `40005` | Position is not isolated                        |
| `40006` | Open interest limit exceeded                    |

## Fund

| Code    | Description                                 |
| ------- | ------------------------------------------- |
| `60002` | Withdrawal chain unsupported                |
| `60003` | Invalid withdrawal address                  |
| `60005` | No permission to transfer from address      |
| `60006` | Destination is not a valid EVM address      |
| `60007` | Transfer amount below minimum               |
| `60008` | Destination is a system or reserved address |

## Indexer and Quote

| Code     | Description                         |
| -------- | ----------------------------------- |
| `210001` | Invalid query parameter             |
| `210002` | Invalid pagination cursor           |
| `211001` | Order does not exist                |
| `213001` | Position does not exist             |
| `220001` | Symbol does not exist               |
| `220002` | Channel does not exist              |
| `220003` | Invalid interval                    |
| `220004` | Channel subscription limit exceeded |
| `222001` | Invalid depth                       |
| `222002` | Invalid merge value                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ticko.xyz/api-documentation/error-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
